function SelectAll()
{
 
   var dom = document.all;
   var el = event.srcElement;
  
      for(i = 0; i < dom.length; i ++ )
      {
         if(dom[i].tagName == "INPUT" && dom[i].type.toLowerCase() == "checkbox")
         {
		 
            dom[i].checked = true;
         }
      }
 
   
}
function SelectFX()
{
   var dom = document.all;
   var el = event.srcElement;
  
      for(i = 0; i < dom.length; i ++ )
      {
         if(dom[i].tagName == "INPUT" && dom[i].type.toLowerCase() == "checkbox")
         {
		 if(dom[i].checked==true)
		 
		 { 
		 dom[i].checked = false;
		 }
		 else{ 
		 dom[i].checked = true;
		 }
           
         }
      }
  
   
}
function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}

function openwebinfo(url)
{
	var k = window.showModalDialog(url, window, 'dialogWidth:750px;status:no;dialogHeight:500px');
}
function SkyConfig()
{
	info="系统提示您:您确实要提交授权信息吗?"
	return window.confirm(info)
	/*
	var info,s,v;
	s=document.getElementById("TxtSoftReg");
	v=s.value;
	alert(v);
	alert(v.length);
	if(v=="" || v.length<>32)
	{
		window.alert("系统提示您:错误的授权文件信息！");
	}
	else
	{
		info="系统提示您:您确实要提交授权信息吗?"
		return window.confirm(info)
	}
	*/
}
function SkyDBConfig()
{
	info="系统提示您:您确实要数据初始化吗？ 注意：信息初试化后不能恢复，您需要重新输入相关的信息！"
	return window.confirm(info)
}
